﻿Imports FarPoint.Win.Spread.CellType

Public Class Form1
    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim myNumCell As New MyNumberCellType()
        FpSpread1.ActiveSheet.Columns(0).CellType = myNumCell
        For i As Integer = 0 To 100
            If i Mod 3 = 0 Then
                FpSpread1.ActiveSheet.Cells(i, 0).Value = -i
            Else
                FpSpread1.ActiveSheet.Cells(i, 0).Value = i
            End If
        Next
        FpSpread1.StatusBarVisible = True
    End Sub
    Private Sub Button1_Click(sender As Object, e As EventArgs)
    End Sub
End Class
Public Class MyNumberCellType
    Inherits NumberCellType
    Public Sub New()
        MyBase.New()
        NegativeRed = True
    End Sub
    Public Overrides Function Format(obj As Object) As String
        Dim negativeSign As String = System.Globalization.CultureInfo.InvariantCulture.NumberFormat.NegativeSign
        Dim formattedValue As String = MyBase.Format(obj)
        If formattedValue.StartsWith(negativeSign) Then
            formattedValue = formattedValue.Substring(negativeSign.Length, formattedValue.Length - negativeSign.Length)
        End If
        Return formattedValue
    End Function
End Class
